Bug 846635 - rgba subpixel font setting is ignored
rgba subpixel font setting is ignored
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 06:07 EDT by Tim Cuthbertson
Modified: 2013-07-11 04:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 699628
Environment:
Last Closed: 2013-07-03 21:18:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Cuthbertson 2012-08-08 06:07:35 EDT
+++ This bug was initially created as a clone of Bug #699628 +++

Description of problem:

I *believe* I have enabled rgb subpixel antialiasing. I have the following ~/.fonts.conf:

<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<!-- see:
https://wiki.archlinux.org/index.php/Font_Configuration#Anti-aliasing
-->
<fontconfig>
	<match target="font">
		<edit name="antialias" mode="assign">
			<bool>true</bool>
		</edit>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
		<edit name="autohint" mode="assign">
			<bool>false</bool>
		</edit>
		<edit name="hintstyle" mode="assign">
			<const>hintnone</const>
		</edit>
		<edit name="rgba" mode="assign">
			<const>rgb</const>
		</edit>
		<edit mode="assign" name="lcdfilter">
			<const>lcddefault</const>
		</edit>
	</match>
</fontconfig>


And the output of:
$ xrdb -q
Xft.antialias:	1
Xft.dpi:	96
Xft.hinting:	0
Xft.hintstyle:	hintfull
Xft.rgba:	rgb

Definitely shows that rgb subpixel rendering is set. 


Version-Release number of selected component (if applicable):
gnome 3; fc17


How reproducible:
Always

Steps to Reproduce:
1. save above ~/.fonts.conf
2. log out & in
  
Actual results:
None of my fonts are being rendered with subpixel rendering. On magnification, all black text on white background is shades of grey - so it's antialised, but not subpixel.

Expected results:
I would expect to see slightly coloured fringes to the left/right of glyphs.
Comment 1 Baif 2012-10-24 09:33:41 EDT
Same issue found.

$ cat /etc/redhat-release 
Fedora release 18 (Spherical Cow)

$ rpm -qa | grep -i -e gtk -e fontconfig
libreport-gtk-2.0.16-1.fc18.x86_64
python-slip-gtk-0.2.21-1.fc18.noarch
pygtk2-2.24.0-5.fc18.x86_64
kcm-gtk-0.5.3-11.fc18.x86_64
oxygen-gtk2-1.3.1-1.fc18.x86_64
fontconfig-2.10.1-1.fc18.x86_64
libnm-gtk-0.9.7.0-3.git20121016.fc18.x86_64
ibus-gtk3-1.4.99.20121006-2.fc18.x86_64
ibus-gtk2-1.4.99.20121006-2.fc18.x86_64
pygtk2-libglade-2.24.0-5.fc18.x86_64
authconfig-gtk-6.2.4-2.fc18.x86_64
gtk3-3.6.1-1.fc18.x86_64
oxygen-gtk-1.2.0-3.fc18.noarch
usermode-gtk-1.111-1.fc18.x86_64
oxygen-gtk3-1.1.1-2.fc18.x86_64
gtk2-2.24.13-1.fc18.x86_64
Comment 2 Baif 2012-10-27 20:48:44 EDT
is there any update?

Here is the output of settings:
gconftool-2 -a /desktop/gnome/font_rendering

$ gconftool-2 -a /desktop/gnome/font_rendering
 antialiasing = rgba
 dpi = 96
 rgba_order = rgb
 hinting = full
Comment 3 Baif 2012-12-03 04:23:56 EST
PS: Running KDE...
Comment 4 Baif 2012-12-12 08:52:44 EST
Dear all I just find out 

This is how fedora works, like the mp3 decoder issue few years ago according the resolution I just make - freetype-freeworld.
Comment 5 Fedora End Of Life 2013-07-03 20:29:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Tim Cuthbertson 2013-07-03 21:18:01 EDT
Baif is right - installing freetype-freeworld fixes this issue.

Note You need to log in before you can comment on or make changes to this bug.